module("datautil", package.seeall)

-- $Author: bam $
-- $Date: 2007-05-06 10:59:48 -0400 (Sun, 06 May 2007) $ 
-- $Revision: 34633 $

local string, table = string, table
local format, match, gmatch = string.format, string.match, string.gmatch
local insert = table.insert
local sort = function(t, ...) table.sort(t, ...) return t end

function read_items(filename)
  local datafile, err = io.open(filename, "r")
  assert(datafile, err)
  local data = {}
  for line in datafile:lines() do
    local id, price, name = match(line, "^(%d+)\t(%d*)\t(.+)$")
    if id then data[tonumber(id)] = {price = tonumber(price), name = name} end
  end
  datafile:close()
  return data
end

function write_items(filename, items)
  local datafile, err = io.open(filename, "w+")
  assert(datafile, err)
  local count = 0
  for id = 1, table.maxn(items) do
    local item = items[id]
    if item then
      local price, name = item.price, item.name
      datafile:write(format("%d\t%s\t%s\n", id, price and tostring(price) or "", name))
      count = count + 1
    end
  end
  datafile:close()
  print(format("Wrote %d items to %s", count, filename))
end

